Name:           gpgme
Version:        1.13.1
Release:        5
Summary:        GnuPG Made Easy
License:        GPLv2+ and LGPLv2+
URL:            https://gnupg.org/related_software/gpgme/
Source0:        ftp://ftp.gnupg.org/gcrypt/gpgme/gpgme-%{version}.tar.bz2

# upstream patches
# Don't add extra libs/cflags in gpgme-config/cmake equivalent
Patch6000:      0001-don-t-add-extra-libraries-for-linking.patch
# add -D_FILE_OFFSET_BITS... to gpgme-config, upstreamable
Patch6001:      gpgme-1.3.2-largefile.patch
# Let's fix stupid AX_PYTHON_DEVEL
Patch6002:      0001-fix-stupid-ax_python_devel.patch

BuildRequires:  autoconf automake gcc gcc-c++ gawk gnupg2 >= 2.1.18
BuildRequires:  libgpg-error-devel >= 1.24 libassuan-devel >= 2.4.2
BuildRequires:  swig chrpath cmake qt5-qtbase-devel python2-devel python3-devel
BuildRequires:  gdb
Requires:       gnupg2 >= 2.1.18
Provides:       %{name}%{?_isa} <= %{version}-%{release}


%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.  It provides a high-level crypto API for
encryption, decryption, signing, signature verification and key
management.
This package provides C/C++/Qt/Python API support for GPGME.

%package -n cpp-%{name}
Summary:        C++ API wrapper for GPGME
Requires:       %{name} = %{version}-%{release}
Obsoletes:      gpgme-pp < 1.8.0-7
Obsoletes:      %{name}pp
Provides:       gpgme-pp = %{version}-%{release} 
Provides:       gpgme-pp%{?_isa} = %{version}-%{release}
Provides:       %{name}pp%{?_isa} <= %{version}-%{release}

%description -n cpp-%{name}
%{summary}.

%package -n qt-%{name}
Summary:        Qt API wrapper for GPGME
Requires:       cpp-%{name} = %{version}-%{release}
Obsoletes:      q%{name}
Provides:       q%{name}

%description -n qt-%{name}
%{summary}.

%package -n python2-%{name}
Summary:        %{name} bindings for Python2
%{?python_provide:%python_provide python2-gpg}
Requires:       %{name} = %{version}-%{release}
Obsoletes:      python2-gpg
Provides:       python2-gpg

%description -n python2-%{name}
%{summary}.

%package -n python3-%{name}
Summary:        %{name} bindings for Python3
%{?python_provide:%python_provide python3-gpg}
Requires:       %{name} = %{version}-%{release}
Obsoletes:      platform-python-gpg < %{version}-%{release}
Obsoletes:      python3-gpg
Provides:       python3-gpg

%description -n python3-%{name}
%{summary}.

%package devel
Summary:        Development headers and libraries for %{name}
Requires:       %{name} = %{version}-%{release} libgpg-error-devel >= 1.24 info
Obsoletes:      gpgme-pp-devel < 1.8.0-7 %{name}pp-devel q%{name}-devel
Provides:       gpgme-pp-devel = %{version}-%{release} %{name}pp-devel q%{name}-devel
Obsoletes:      %{name}pp-devel q%{name}-devel
provides:       %{name}pp-devel q%{name}-devel

%description devel
%{summary}.

%package help
Summary:        GPGME help info
BuildArch:      noarch

%description help
%{summary}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static --disable-silent-rules --enable-languages=cpp,qt,python
%make_build

%install
%make_install

chrpath -d  $(find %{buildroot} -name gpgme-json)

# Delete unpackaged files
rm -fv %{buildroot}%{_infodir}/dir
rm -fv %{buildroot}%{_libdir}/{lib*.la,pkgconfig/gpgme*.pc}

chrpath -d %{buildroot}%{_bindir}/%{name}-tool
chrpath -d %{buildroot}%{_libdir}/lib%{name}pp.so*
chrpath -d %{buildroot}%{_libdir}/libq%{name}.so*

%check
make check

%ldconfig_scriptlets

%post help
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :

%preun help
if [ $1 -eq 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-,root,root)
%license COPYING*
%doc AUTHORS ChangeLog NEWS README THANKS TODO VERSION
%{_bindir}/%{name}-json
%{_libdir}/lib%{name}.so.11*

%files -n cpp-%{name}
%doc lang/cpp/README
%{_libdir}/lib%{name}pp.so.*

%files -n qt-%{name}
%doc lang/qt/README
%{_libdir}/libq%{name}.so.*

%files -n python2-%{name}
%doc lang/python/README
%{python2_sitearch}/gpg-*.egg-info
%{python2_sitearch}/gpg/

%files -n python3-%{name}
%doc lang/python/README
%{python3_sitearch}/gpg-*.egg-info
%{python3_sitearch}/gpg/

%files devel
%defattr(-,root,root)
%{_bindir}/{%{name}-config,%{name}-tool}
%{_includedir}/{%{name}.h,%{name}++/,q%{name}/,QGpgME/}
%{_libdir}/{lib%{name}.so,lib%{name}pp.so,cmake/Gpgmepp/,libq%{name}.so,cmake/QGpgme/}
%{_datadir}/aclocal/%{name}.m4

%files help
%defattr(-,root,root)
%{_infodir}/%{name}.info*


%changelog
* Thu Mar 19 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.13.1-5
- add BuildRequires: gdb

* Fri Sep 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.13.1-4
- Adjust buildrequires as gnupg2-smime is provided by gnupg2

* Fri Sep 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.13.1-3
- Delete redundant information

* Wed Sep 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.13.1-2
- Delete postfix '_isa' for Provides symbols

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.13.1-1
- Package init
